This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 186463 - openobex-devel: +Requires: libusb-devel bluez-libs-devel
openobex-devel: +Requires: libusb-devel bluez-libs-devel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openobex (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-23 13:13 EST by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-28 05:45:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-03-23 13:13:56 EST
/usr/lib/pkgconfig/openobex.pc includes:
Requires: bluez libusb

Which is bogus/not-required (at least when/if static libs at not in use, see
also bug #186460), and should be dropped.

If not dropped, then at least add to -devel:
Requires: bluez-libs-devel, libusb-devel
Comment 1 Alex Kanavin 2006-04-20 13:00:25 EDT
This should be reported to upstream, not here.
Comment 2 Rex Dieter 2006-04-20 13:03:49 EDT
Alex, yes and no.  The bluez,libusb dependancies are only extraneous if built
--without-static.  

Regardless, there is a dependancy problem *here*:
1. either remove them from the .pc file (preferred)
or
2. add the dependancies to the -devel subpkg.
Comment 3 Alex Kanavin 2006-04-20 13:33:55 EDT
But why --without-static is needed?
Comment 4 Rex Dieter 2006-04-21 08:58:05 EDT
See http://fedoraproject.org/wiki/Packaging/Guidelines, section labelled
"Exclusion of Static Libraries"
Comment 5 Alex Kanavin 2006-04-21 09:34:12 EDT
I'm not sure, but I think you're confusing pkgconfig dependencies and rpm
dependencies here. Openobex does need bluez and libusb pkgconfig files to build,
hence it specifes them in its own pkgconfig file.
Comment 6 Rex Dieter 2006-04-21 10:25:53 EDT
Yes, openobex BR's bluez and libusb, but openobex.pc defines what is used when
apps are using openobex-devel, ie, what the -devel subpkg Requires.
Comment 7 Alex Kanavin 2006-04-23 04:50:35 EDT
You're definitely confusing rpm packages with pkgconfig packages. Read this:

http://hpux.cs.utah.edu/hppd/hpux/Development/Tools/pkgconfig-0.20/man.html

Note:
"pkg-config retrieves information about packages from special metadata files. These files are named 
after the package, with the extension .pc. ... The package name specified on the pkg-config command 
line is defined to be the name of the metadata file, minus the .pc extension."

Q: What are the names for pkgconfig metadata files for bluez and libusb?
A: bluez, libusb - there's no "-devel" suffixes.
Comment 8 Rex Dieter 2006-04-23 07:22:09 EDT
Alex, 
I'm sorry, bugzilla isn't the place for this discussion, and I'm done trying to
convince you.  I just hope Harald understands it better than you do.
Comment 9 Rex Dieter 2006-04-29 19:57:46 EDT
I guess the safest thing to do is simply add to -devel:
Requires: libusb-devel bluez-libs-devel

(Offtopic: just read on the rpm-devel mailing list recently that the latest
version of rpm has added the ability to automatically add to -devel pkgs
Provides/Requires extracted from pkgconfig files... way cool).
Comment 10 David Fraser 2006-05-11 08:00:42 EDT
I've included some of this in my patch on bug 180935

Note You need to log in before you can comment on or make changes to this bug.